Bug Hunting Session
Bug 51270 - On UNINSTALLING, LibreOffice leaves dirt behind
Summary: On UNINSTALLING, LibreOffice leaves dirt behind
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other Windows (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:3.6.0.0.beta3 target:3.7.0 tar...
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-20 12:33 UTC by Olivier Hallot
Modified: 2012-06-26 10:32 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2012-06-20 12:33:52 UTC
On vanilla uninstallation, LibreOffice leaves a folder in %PROGRAMFILES%\LibreOffice 3.5\ containing extensions and python folders

LibreOffice uninstall should destroy %PROGRAMFILES%\LibreOffice 3.5\ completely.
Comment 1 Andras Timar 2012-06-20 12:47:59 UTC
@Olivier: you did not specify the version. 3.5.4 should remove .pyc files and python folders. I finished a patch today that removes the shared\prereg\bundle directory, too. Please let me know, if your problem is different.
Comment 2 Olivier Hallot 2012-06-20 15:46:10 UTC
(In reply to comment #1)
> @Olivier: you did not specify the version. 3.5.4 should remove .pyc files and
> python folders. I finished a patch today that removes the shared\prereg\bundle
> directory, too. Please let me know, if your problem is different.

@Andras... I actually was uninstalling a 3.5.4 version. Need to double check tomorrow what is left behind.
Comment 3 Not Assigned 2012-06-21 00:19:33 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=acdbe9d60e17a128c7c1c5d8994cb04b954cc57e&g=libreoffice-3-6

fdo#51270 fix RemoveExtensions custom action


It will be available in LibreOffice 3.6.
Comment 4 Not Assigned 2012-06-21 00:19:58 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c66efa24eb4b12beaaabbddc88f7c5aef4faf6c5

fdo#51270 fix RemoveExtensions custom action
Comment 5 Not Assigned 2012-06-21 08:45:43 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-5-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a13c54699e53e1174d575991ddfb848d6a8a01d9&g=libreoffice-3-5-5

fdo#51270 fix RemoveExtensions custom action


It will be available already in LibreOffice 3.5.5.
Comment 6 Not Assigned 2012-06-21 08:46:09 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5cfb974d41642d1acbaadb553c16cf8d174f524a&g=libreoffice-3-5

fdo#51270 fix RemoveExtensions custom action


It will be available in LibreOffice 3.5.6.
Comment 7 Andras Timar 2012-06-26 10:32:26 UTC
No new info has come in, and my tests show that this bug is fixed. Help packs were not tested. Once I saw problems with uninstalling help packs. I'll fix it, too, when I find some time.